io.vertx.rxjava3.db2client

## Class DB2Builder

- java.lang.Object
- - io.vertx.rxjava3.db2client.DB2Builder

-     public class DB2Builder
      extends Object

  Entry point for building DB2 clients.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<DB2Builder>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DB2Builder(DB2Builder delegate)`
    `DB2Builder(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientBuilder<SqlClient>` | `client()` Provide a builder for DB2 client backed by a connection pool.
    `static SqlClient` | `client(Handler<ClientBuilder<SqlClient>> handler)` Build a client backed by a connection pool with the specified `block` argument.
    `boolean` | `equals(Object o)`
    `DB2Builder` | `getDelegate()`
    `int` | `hashCode()`
    `static DB2Builder` | `newInstance(DB2Builder arg)`
    `static ClientBuilder<Pool>` | `pool()` Provide a builder for DB2 pool of connections
    `static Pool` | `pool(Handler<ClientBuilder<Pool>> block)` Build a pool with the specified `block` argument.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<DB2Builder> __TYPE_ARG

  - ### Constructor Detail

    - #### DB2Builder

          public DB2Builder(DB2Builder delegate)

    - #### DB2Builder

          public DB2Builder(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public DB2Builder getDelegate()

    - #### pool

          public static Pool pool(Handler<ClientBuilder<Pool>> block)

      Build a pool with the specified `block` argument. The `block` argument is usually a lambda that configures the provided builder

      Example usage: `Pool pool = PgBuilder.pool(builder -> builder.connectingTo(connectOptions));`

      Parameters:
        `block` -
      Returns:
        the pool as configured by the code `block`

    - #### pool

          public static ClientBuilder<Pool> pool()

      Provide a builder for DB2 pool of connections

      Example usage: `Pool pool = PgBuilder.pool().connectingTo(connectOptions).build()`

      Returns:

    - #### client

          public static SqlClient client(Handler<ClientBuilder<SqlClient>> handler)

      Build a client backed by a connection pool with the specified `block` argument. The `block` argument is usually a lambda that configures the provided builder

      Example usage: `SqlClient client = PgBuilder.client(builder -> builder.connectingTo(connectOptions));`

      Parameters:
        `handler` -
      Returns:
        the client as configured by the code `block`

    - #### client

          public static ClientBuilder<SqlClient> client()

      Provide a builder for DB2 client backed by a connection pool.

      Example usage: `SqlClient client = PgBuilder.client().connectingTo(connectOptions).build()`

      Returns:

    - #### newInstance

          public static DB2Builder newInstance(DB2Builder arg)

Copyright © 2024 Eclipse. All rights reserved.